import { Collection } from 'discord.js';
import { SilentClient } from '../../';
import { Command } from './Command';
export declare class CommandRegistry extends Collection<string, Command> {
    protected client: SilentClient;
    private readonly logger;
    constructor(client: SilentClient);
    /**
     * This should only be used by external libraries
     * @param command {Command}
     */
    registerExternalCommand(command: Command): void;
    /**
     * Used for registering commands
     * @private
     * @param command
     */
    registerInternalCommand(command: Command): void;
}
