import { SilentClient } from '../..';
export declare class EventLoader {
    /**
     * @property {SilentClient} client
     * @private
     * @readonly
     */
    private readonly client;
    /**
     * @property {EventRegistry} events
     * @private
     */
    private events;
    /**
     * @param client {SilentClient}
     * @constructor
     */
    constructor(client: SilentClient);
    /**
     * Load all files from a specific path
     * @param pathPattern {String}
     */
    loadFromPath(pathPattern: string): void;
}
